Name:           SNNS
Version:        4.3
Release:        10%{?dist}
Summary:        Stuttgart Neural Network Simulator

License:        LGPL
URL:            http://www.ra.cs.uni-tuebingen.de/SNNS
Source0:        http://www.ra.cs.uni-tuebingen.de/downloads/SNNS/SNNSv%{version}.tar.gz
Patch1:         0001-Misc.-makefile-fixes.patch
Patch2:		0002-Silence-Werror-format-security.patch
Patch3:		0003-Modernize-code.patch
Patch4:		0004-Address-overflows.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  bison flex Xaw3d-devel
BuildRequires:  flex-static

%description
SNNS (Stuttgart Neural Network Simulator) is a software simulator for neural
networks on Unix workstations developed at the Institute for Parallel and
Distributed High Performance Systems (IPVR) at the University of Stuttgart.
The goal of the SNNS project is to create an efficient and flexible
simulation environment for research on and application of neural nets.


%prep
%setup -q -n %{name}v%{version}
%patch -P1 -p1
%patch -P2 -p1
%patch -P3 -p1
%patch -P4 -p1

# binaries inside of tarball
rm -rf tools/bin/*
# Fedora's Xaw3d headers are in X11/Xaw3d, not in X11/Xaw
sed -i -e 's,X11/Xaw/,X11/Xaw3d/,g' xgui/sources/*.c

%build
%configure --enable-global
# Building is not SMP-safe
make compile


%install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
make install INSTALLDIR=$RPM_BUILD_ROOT%{_prefix}
pushd $RPM_BUILD_ROOT%{_prefix}/bin
ln -s xgui snns
popd

mkdir -p $RPM_BUILD_ROOT%{_mandir}
make install-man INSTALLDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/SNNSv4.3
cp -a examples $RPM_BUILD_ROOT%{_datadir}/SNNSv4.3
cp -a help.hdoc $RPM_BUILD_ROOT%{_datadir}/SNNSv4.3

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/SNNSv4.3
cp -a default.cfg $RPM_BUILD_ROOT%{_sysconfdir}/SNNSv4.3


%files
%license Readme.license
%{_prefix}/bin/*
%{_mandir}/man1/*
%{_datadir}/SNNSv4.3
%{_sysconfdir}/SNNSv4.3

%changelog
* Thu Feb 22 2024 Ralf Corsépius <ralcor@links2linux.de> - 4.3-10
- Adaptations to fc40.

* Wed Apr 19 2023 Ralf Corsépius <ralcor@links2linux.de> - 4.3-9
- Use %%patch -P N instead of %%patchN.

* Sun Sep 12 2021  Ralf Corsépius <corsepiu@fedoraproject.org> - 4.3-8
- BR: make.
- Remove %%{?_smp_mflags}.

* Sun Nov 04 2018  Ralf Corsépius <corsepiu@fedoraproject.org> - 4.3-7
- Remove Group.

* Sat Oct 20 2018  Ralf Corsépius <corsepiu@fedoraproject.org> - 4.3-6
- Add BR: gcc.

* Fri Nov 14 2014  Ralf Corsépius <corsepiu@fedoraproject.org> - 4.3-5
- Add %%license.

* Fri Nov 14 2014  Ralf Corsépius <corsepiu@fedoraproject.org> - 4.3-4
- Work-around issues caused by -Werror=format-security.
- Rebase patches.

* Fri Apr 15 2011	Ralf Corsépius <corsepiu@fedoraproject.org> - 4.3-3
- BR: flex-static.
- Spec cleanup.

* Fri Mar 20 2009	Ralf Corsépius <corsepiu@fedoraproject.org> - 4.3-2
- Various fixes.

* Thu Mar 19 2009	Ralf Corsépius <corsepiu@fedoraproject.org> - 4.3-1
- Initial Fedora package.
